# Define the kmod package name here.
%define kmod_name e1000

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-71.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 8.0.23_NAPI
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPL v2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.intel.com/

BuildRequires: rpm-build, redhat-rpm-config
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{kmod_name}-%{version}.tar.bz2
Source5:  GPL-v2.0.txt
Source10: kmodtool-el6-%{kmod_name}.sh

# Magic hidden here.
%define kmodtool sh %{SOURCE10}
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kversion} "" 2>/dev/null)}

# Disable the building of the debug package(s).
%define	debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s) for the Intel® PRO/1000 PCI and PCI-X Ethernet NICs.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n %{kmod_name}-%{version}
%{__gzip} %{kmod_name}.7
%{__cp} -a %{SOURCE5} .
%{__cat} <<-EOF > %{kmod_name}.conf
	override %{kmod_name} * weak-updates/%{kmod_name}
	EOF

%build
pushd src
%{__make} KSRC=%{_usrsrc}/kernels/%{kversion}
popd

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
%{__install} -d ${INSTALL_MOD_PATH}/lib/modules/%{kversion}/${INSTALL_MOD_DIR}/
%{__install} src/%{kmod_name}.ko ${INSTALL_MOD_PATH}/lib/modules/%{kversion}/${INSTALL_MOD_DIR}/
%{__install} -d ${INSTALL_MOD_PATH}/etc/depmod.d/
%{__install} %{kmod_name}.conf ${INSTALL_MOD_PATH}/etc/depmod.d/
%{__install} -d ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} GPL-v2.0.txt ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} COPYING ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} pci.updates ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} README ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} SUMS ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} -d ${INSTALL_MOD_PATH}/usr/local/share/man/man7/
%{__install} %{kmod_name}.7.gz ${INSTALL_MOD_PATH}/usr/local/share/man/man7/
# Strip the module(s).
find ${INSTALL_MOD_PATH} -type f -name \*.ko -exec %{__strip} --strip-debug \{\} \;
# Remove the files that are not required.
%{__rm} -f ${INSTALL_MOD_PATH}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 28 2010 Alan Bartlett <ajb@elrepo.org> - 8.0.23_NAPI-1
- Initial el6 build of the kmod package.

